<!DOCTYPE HTML>
<html lang="es">
<head>
<!-- Generated by javadoc (17) on Fri Jun 03 20:10:18 CDT 2022 -->
<title>VectorLista</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-06-03">
<meta name="description" content="declaration: package: estructurasLineales, interface: VectorLista">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var evenRowColor = "even-row-color";
var oddRowColor = "odd-row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html#class">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method-summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method-detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">estructurasLineales</a></div>
<h1 title="Interface VectorLista" class="title">Interface VectorLista</h1>
</div>
<section class="class-description" id="class-description">
<dl class="notes">
<dt>All Superinterfaces:</dt>
<dd><code><a href="ListaAlmacenamiento.html" title="interface in estructurasLineales">ListaAlmacenamiento</a></code></dd>
</dl>
<dl class="notes">
<dt>All Known Implementing Classes:</dt>
<dd><code><a href="ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></code>, <code><a href="ListaEstaticaNumerica.html" title="class in estructurasLineales">ListaEstaticaNumerica</a></code>, <code><a href="ListaEstaticaOrdenada.html" title="class in estructurasLineales">ListaEstaticaOrdenada</a></code></dd>
</dl>
<hr>
<div class="type-signature"><span class="modifiers">public interface </span><span class="element-name type-name-label">VectorLista</span><span class="extends-implements">
extends <a href="ListaAlmacenamiento.html" title="interface in estructurasLineales">ListaAlmacenamiento</a></span></div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method-summary">
<h2>Method Summary</h2>
<div id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button id="method-summary-table-tab0" role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table', 3)" class="active-table-tab">All Methods</button><button id="method-summary-table-tab2" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab2', 3)" class="table-tab">Instance Methods</button><button id="method-summary-table-tab3" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab3', 3)" class="table-tab">Abstract Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<div class="summary-table three-column-summary" aria-labelledby="method-summary-table-tab0">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab3"><code>boolean</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab3"><code><a href="#cambiar(int,java.lang.Object)" class="member-name-link">cambiar</a><wbr>(int&nbsp;indice,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a>&nbsp;valor)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab3">
<div class="block">modifica el elemento de la posiciÃ³n indicada por indice. valor es el nuevo elemento a colocar.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab3"><code>boolean</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab3"><code><a href="#cambiarListaEstatica(estructurasLineales.ListaEstatica,estructurasLineales.ListaEstatica)" class="member-name-link">cambiarListaEstatica</a><wbr>(<a href="ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a>&nbsp;indicesBusqueda,
 <a href="ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a>&nbsp;valoresNuevos)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab3">
<div class="block">modifica el elemento del arreglo actual en las posiciones de indicesBusqueda por el contenido de valoresNuevos.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab3"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab3"><code><a href="#eliminar(int)" class="member-name-link">eliminar</a><wbr>(int&nbsp;indice)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab3">
<div class="block">elimina un elemento del arreglo en una posiciÃ³n especÃ­fica.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab3"><code>boolean</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab3"><code><a href="#llena()" class="member-name-link">llena</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab3">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab3"><code>int</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab3"><code><a href="#maximo()" class="member-name-link">maximo</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab3">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab3"><code>int</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab3"><code><a href="#numeroElementos()" class="member-name-link">numeroElementos</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab3">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab3"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab3"><code><a href="#obtener(int)" class="member-name-link">obtener</a><wbr>(int&nbsp;indice)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab3">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab3"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab3"><code><a href="#redimensionar(int)" class="member-name-link">redimensionar</a><wbr>(int&nbsp;maximo)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab3">
<div class="block">redimensiona el tamaÃ±o del arreglo al nuevo tamaÃ±o indicado por mÃ¡ximo.</div>
</div>
</div>
</div>
</div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-estructurasLineales.ListaAlmacenamiento">Methods inherited from interface&nbsp;estructurasLineales.<a href="ListaAlmacenamiento.html" title="interface in estructurasLineales">ListaAlmacenamiento</a></h3>
<code><a href="ListaAlmacenamiento.html#agregar(java.lang.Object)">agregar</a>, <a href="ListaAlmacenamiento.html#buscar(java.lang.Object)">buscar</a>, <a href="ListaAlmacenamiento.html#eliminar()">eliminar</a>, <a href="ListaAlmacenamiento.html#eliminar(java.lang.Object)">eliminar</a>, <a href="ListaAlmacenamiento.html#imprimir()">imprimir</a>, <a href="ListaAlmacenamiento.html#imprimirOI()">imprimirOI</a>, <a href="ListaAlmacenamiento.html#vacia()">vacia</a>, <a href="ListaAlmacenamiento.html#verUltimo()">verUltimo</a></code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method-detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="llena()">
<h3>llena</h3>
<div class="member-signature"><span class="return-type">boolean</span>&nbsp;<span class="element-name">llena</span>()</div>
</section>
</li>
<li>
<section class="detail" id="maximo()">
<h3>maximo</h3>
<div class="member-signature"><span class="return-type">int</span>&nbsp;<span class="element-name">maximo</span>()</div>
</section>
</li>
<li>
<section class="detail" id="obtener(int)">
<h3>obtener</h3>
<div class="member-signature"><span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></span>&nbsp;<span class="element-name">obtener</span><wbr><span class="parameters">(int&nbsp;indice)</span></div>
</section>
</li>
<li>
<section class="detail" id="cambiar(int,java.lang.Object)">
<h3>cambiar</h3>
<div class="member-signature"><span class="return-type">boolean</span>&nbsp;<span class="element-name">cambiar</span><wbr><span class="parameters">(int&nbsp;indice,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a>&nbsp;valor)</span></div>
<div class="block">modifica el elemento de la posiciÃ³n indicada por indice. valor es el nuevo elemento a colocar.</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>Regresa <b>true</b> si se pudo, <b>false</b> en caso contrario.</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="cambiarListaEstatica(estructurasLineales.ListaEstatica,estructurasLineales.ListaEstatica)">
<h3>cambiarListaEstatica</h3>
<div class="member-signature"><span class="return-type">boolean</span>&nbsp;<span class="element-name">cambiarListaEstatica</span><wbr><span class="parameters">(<a href="ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a>&nbsp;indicesBusqueda,
 <a href="ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a>&nbsp;valoresNuevos)</span></div>
<div class="block">modifica el elemento del arreglo actual en las posiciones de indicesBusqueda por el contenido de valoresNuevos.</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>Regresa <b>true</b> si se pudo, <b>false</b> debido a las dimensiones o Ã­ndices invÃ¡lidos, por ejemplo..</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="eliminar(int)">
<h3>eliminar</h3>
<div class="member-signature"><span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></span>&nbsp;<span class="element-name">eliminar</span><wbr><span class="parameters">(int&nbsp;indice)</span></div>
<div class="block">elimina un elemento del arreglo en una posiciÃ³n especÃ­fica.</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>regresa el elemento eliminado.</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="redimensionar(int)">
<h3>redimensionar</h3>
<div class="member-signature"><span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></span>&nbsp;<span class="element-name">redimensionar</span><wbr><span class="parameters">(int&nbsp;maximo)</span></div>
<div class="block">redimensiona el tamaÃ±o del arreglo al nuevo tamaÃ±o indicado por mÃ¡ximo.</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>Si el tamaÃ±o es menor, los elementos sobrantes deben ser eliminados. Si el tamaÃ±o es mayor,
 los datos anteriores deben conservarse y los nuevos espacios deben estar vacÃ­os.</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="numeroElementos()">
<h3>numeroElementos</h3>
<div class="member-signature"><span class="return-type">int</span>&nbsp;<span class="element-name">numeroElementos</span>()</div>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
</div>
</div>
</body>
</html>
